import { Component, OnInit, Output, Input } from '@angular/core';
import { EventEmitter } from '@angular/core';
import { Router } from "@angular/router";
import { ToolService } from '../../services/tool.service';

@Component({
  selector: 'app-select-menu',
  templateUrl: './select-menu.component.html',
  styleUrls: ['./select-menu.component.less']
})
export class SelectMenuComponent implements OnInit {
  @Output() cancelMenuModal = new EventEmitter();
  @Input() iShowMenuModal: boolean = false;//模态框
  allHospital: any;//所有院区
  hosLoading: boolean = false;//确定按钮的loading
  constructor(
    private router: Router,
  ) { }

  ngOnInit() {}
  toIncidentConfig(){
    this.router.navigateByUrl("configurationCenter/incidentConfig");
  }
  toOtherConfig(){
    this.router.navigateByUrl("configurationCenter/otherConfig");
  }
  // 隐藏模态框
  hideModal() {
    this.cancelMenuModal.emit(false)
  }
}
